{% set CodiceModulo = "AGG_PERM_SOGG" %}
{% set Urn = "document:c_a794:aggiornamento.permessi.soggiorno;domanda" %}
{% set Urn_procedimento = "" %}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="Il dichiarante"
classi_modulo="Servizi demografici"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda aggiornamento permessi di soggiorno - Comune di Bergamo"
destinatario_amministrazione=""
destinatario_ufficio="UOSERVIZIDEMOGRAFICI"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="AUTENTICATO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="2.7|27/07/2020"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_allegato="COP_PAS"
urn_allegato="document:s_italia:generale;passaporto;documentazione"
descrizione_estesa="Copia del passaporto o documento equivalente"
filename="Copia passaporto"
firmato="NO"
name="GLOBO_allegato"
obbligatorio="DINAMICO"
tipo_mime="image/jpeg,application/pdf"/>

<meta codice_allegato="PER_SOG"
urn_allegato="document:s_italia:generale;permesso.soggiorno;documentazione"
descrizione_estesa="Copia del permesso di soggiorno in corso di validità"
filename="Copia permesso di soggiorno"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/jpeg,application/pdf"/>

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>


{% endblock meta %}

{% block title %}Domanda di aggiornamento permessi di soggiorno per cittadini extracomunitari{% endblock title %}

{% block content %}

<!-- SCRIPT JS PER GESTIONE ALLEGATI -->

<script>

  var statoPrecedente = [];

  //var inputID = document.querySelector("#div-1 input");

//FUNZIONE PER VERIFICARE IL COMPLETO CARICAMENTO DEL DOM
//AL CARICAMENTO CARICA POI LA FUNZIONE fn (che gli viene passata quando richiamo la funzione docReady)
function docReady(fn) {
  // DOM available?? 
  if (document.readyState === "complete" || document.readyState === "interactive") {
      setTimeout(fn, 1);
  } else {
      document.addEventListener("DOMContentLoaded", fn);
  }
}    

// RICHIAMO LA FUNZIONE docReady e gli passo la funzione da eseguire al caricamente del DOM 
docReady(function() {
    // DOM Caricato

  // inserisco ciclo che gli elementi con la classe ElementToHide  
  var ElementsToHide = document.getElementsByClassName("ElementToHide");
  // ciclo gli elementi ElementToHide
  var i;
  for (i = 0; i < ElementsToHide.length; i++) {
    var x = ElementsToHide[i].firstElementChild.value.split('&',2);
    if (x[0] == 'checkbox')
    {
        // Per ogni elemento individuo verifico se il primo figlio ha un valore per capire se è già stato valorizzato
        if (document.getElementById(x[1]).checked)
        {
          // se c'è un valore diverso da vuoto o - (per le select) MOSTRO il DIV e il suo contenuto 
          ElementsToHide[i].style.display="";
        }
        else{
          // Nascondo il campo dalla visualizzazione in modo che non sia visibile all'utente 
          ElementsToHide[i].style.display="none";
        } 
    }
    else if (x[0] == 'select')
    {
      // Per ogni elemento individuo verifico se il primo figlio ha un valore per capire se è già stato valorizzato
        if (document.getElementById(x[1]).value != '')
        {
          // se c'è un valore diverso da vuoto o - (per le select) MOSTRO il DIV e il suo contenuto 
          ElementsToHide[i].style.display="";
        }
        else{
          // Nascondo il campo dalla visualizzazione in modo che non sia visibile all'utente 
          ElementsToHide[i].style.display="none";
        }
    }
                    
  }                       

});

  // FUNZIONE PER MOSTRARE i campi nascosti devo passare due valori 
  // 1.Riferimento all'elemento che fa scattare la visualizzazione (triggerEl)
  // 2.Riferimento alla classe degli elementi che dovranno essere mostrati in caso di attivazione
  // ho inserito la classe e non l'id per gestire più contenuti legati ad una singola selezione 
  function mostraCampi(triggerEl,classToShow){
    if(triggerEl.checked) {
      ElList = document.getElementsByClassName(classToShow);
      for (El of ElList) {
        El.style.display="";
        //El.style.setProperty('pd4ml-display',"");
      }
    }else{
      ElList = document.getElementsByClassName(classToShow);
      for (El of ElList) {
        El.style.display="none";
        //El.style.setProperty('pd4ml-display',"none");
      }
    }
  } 
  

  // FUNZIONE PER POPOLARE L'ARRY degli stati precedenti 
  function impostaValorePrecedente(selectID)
  {
    statoPrecedente[selectID] = document.getElementById(selectID).value;
  }

  // Funzione per aggiunta o diminuizione del numero di documenti (nome Campo = documento da modificare , Op = diff - sottrazione, somma - addizione )
  function modificaDocumento(nomeCampo,op)
  {
    var x = parseInt(document.getElementById('Tot_COP_PAS').value);
    document.getElementById('Tot_COP_PAS').value = ((op =='somma')?x+1:x-1);

    var x = parseInt(document.getElementById('Tot_PER_SOG').value);
    document.getElementById('Tot_PER_SOG').value = ((op =='somma')?x+1:x-1);

  }


 

  function ContaCaratteri(textareaName)
    {
        var charScritti  = document.getElementById(textareaName).value.length;
        var massimo = 2500; 
        
        document.getElementById(textareaName + '_contaCaratteri').innerHTML = massimo - charScritti;
        if (charScritti > massimo)
        {
          document.getElementById(textareaName).value = document.getElementById(textareaName).value.substr(0, massimo);
          document.getElementById(textareaName + '_contaCaratteri').innerHTML = 0;
            alert("Massimo " + massimo + " caratteri!");
        }

    }

</script>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - Domanda di aggiornamento permessi di soggiorno per cittadini extracomunitari'"/>

<!--  Campi nascosti copiati da modulo no responsive per identificare richiedente-titolare DA VERIFICARE  -->
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>


<div class="container border-bottom" style="border-radius: unset;z-index: -1;">
  <div class="form-row">
    <div class="form-group col-lg-3 text-center">
      <img alt="Ente" src="./appoggio/img/StemmaComune.png">
    </div>
    <div class="form-group col-lg-5 text-center mb-0">
      <div class="heading">
        <label for="Ente"> Al comune di </label>
        <div class="space-0"></div>
        <input class="form-control" style="background-color: white;" id="Ente" name="Ente" readonly disabled>
      </div>
      <div class="heading">
        <label for="UfficioDestinatario"> Ufficio destinatario </label>
        <div class="space-0"></div>
        <input class="form-control" style="background-color: white;" id="UfficioDestinatario" name="UfficioDestinatario" dynamic_value="#Parametri_UfficioDestinatario.value() ? get_ufficio_dest() : get_ufficio_dest()" readonly disabled>
      </div>
    </div>
    <div class="form-group col-lg-4 text-center">
      <div class="heading"></div>
    </div>
  </div>
</div>

<div class="space-1"></div>

<div class="container">
  <div class="title-2"> Domanda di aggiornamento permessi di soggiorno per cittadini extracomunitari </div>
</div>

<div class="container border bg-light">
  <!-- titoletto -->
  <div class="form-row border-bottom">
    <div class="col-lg-11">
      <span class="title"> IL SOTTOSCRITTO </span>
    </div>
    <div class="col-lg-1 text-right">
      <span style="pd4ml-visibility: hidden; pd4ml-display: none;" style="margin-top: 5pt;">
        <img class="recupero-dati" alt="Carica dati da profilo" style="visibility:visibility" title="Carica i tuoi dati" src="./appoggio/img/carica_campi.png" onclick="recuperaAnagrafica( 'Titolare' )">
      </span>
    </div>
  </div>

  <!-- dati principali -->
  <div class="form-row" mandatory="true">
    <div class="form-group col-lg-6">
      <label for="Titolare_Cognome"> Cognome </label>
      <input class="form-control" type="text" id="Titolare_Cognome" name="Titolare_Cognome" label="Cognome del Titolare"> 
    </div>
    <div class="form-group col-lg-6">
      <label for="Titolare_Nome"> Nome </label>
      <input class="form-control" type="text" id="Titolare_Nome" name="Titolare_Nome"  label="Nome del Titolare">
    </div>
  </div>
  <div class="form-row" mandatory="true">
    <div class="form-group col-lg-4">
      <label for="Titolare_CodiceFiscale"> Codice Fiscale </label>
      <input class="form-control" type="text" id="Titolare_CodiceFiscale" name="Titolare_CodiceFiscale" onkeyup="this.value = this.value.toUpperCase();" format="cf" label="Codice Fiscale del Titolare">
    </div>
    <div class="form-group col-lg-3">
      <label for="Titolare_DataNascita"> Data Nascita </label>
      <input class="form-control" type="text" format="date" id="Titolare_DataNascita" name="Titolare_DataNascita" readonly>
      <input type="hidden" id="Titolare_MaggioreEta" name="Titolare_MaggioreEta" value="Si" />
    </div>
    <div class="form-group col-lg-5">
      <label for="Titolare_LuogoNascita"> Luogo Nascita </label>
      <input class="form-control"  id="Titolare_LuogoNascita" name="Titolare_LuogoNascita" readonly>
    </div>
  </div>

  <div class="form-row" mandatory="true">
    <div class="form-group col-lg-4">
      <label for="Titolare_Telefono"> Numero di telefono </label>
      <input class="form-control" type="text" id="Titolare_Telefono" name="Titolare_Telefono" label="Numero di telefono del Titolare">
    </div>
    <div class="form-group col-lg-4">
      <label for="Titolare_EMail"> Posta elettronica ordinaria </label>
      <input class="form-control" id="Titolare_EMail" name="Titolare_EMail" format="email"  mandatory="#Titolare_EMailPEC.value() == ''" label="Mail del Titolare"/>          
    </div>
    <div class="form-group col-lg-4">
      <label for="Titolare_EMailPEC"> Posta elettronica certificata (domicilio digitale) </label>
      <input class="form-control" id="Titolare_EMailPEC" name="Titolare_EMailPEC" format="pec" mandatory="#Titolare_EMail.value() == ''" label="Mail PEC del Titolare">
    </div>
  </div>

  <!-- dati generali -->
  <div class="form-row">
    <div class="form-group col-lg-2" mandatory="true">
      <label for="Titolare_Sesso"> Sesso </label>
      <input class="form-control" type="text" id="Titolare_Sesso" name="Titolare_Sesso" readonly>
    </div>
    <div class="form-group col-lg-4" mandatory="true">
      <label for="Titolare_StatoCivile"> Stato Civile</label>
      {% set pars = [ "", "celibe/nubile", "coniugato/a", "vedovo", "divorziato/a"] %}
      <select class="form-control custom-select" id="Titolare_StatoCivile" name="Titolare_StatoCivile">
        {% for par in pars %}
          <option value="{{par}}"> {{par}} </option>
        {% endfor %}
      </select>
    </div>
    <div class="form-group col-lg-2" mandatory="true">
      <label for="Titolare_From"> Cittadinanza </label>
      <select class="form-control custom-select" id="Titolare_From" name="Titolare_From" >
        <option value=""> - </option>
        <option value="NON Unione Europea">NON Unione Europea</option>
      </select>
    </div>
    <div class="form-group col-lg-4" mandatory="true">
      <!-- ho modificato il name della cittadinanza in modo che il js automatico di GLOBO non vada ad inserirmi direttamente il valore ma io obblighi il compilaore a selezionare il menu a tendina-->
      <label for="Titolare_CittadinanzaNoFill"> -</label>
      <select class="form-control custom-select" id="Titolare_CittadinanzaNoFill" name="Titolare_CittadinanzaNoFill" label="Cittadinanza del Titolare" mandatory_enabled="#Titolare_From.value() != 'Italia'" onchange="modificaDocumento('Tot_PAS','somma');">
        <option value=""></option> 
        <optgroup label="NON Unione Europea">
          <option value="Afghanistan">Afghanistan</option> <option value="Albania">Albania</option> <option value="Algeria">Algeria</option>  <option value="Angola">Angola</option> <option value="Anguilla">Anguilla</option> <option value="Antartide">Antartide</option> <option value="Antigua e Barbuda">Antigua e Barbuda</option> <option value="Antille Olandesi">Antille Olandesi</option> <option value="Arabia Saudita">Arabia Saudita</option> <option value="Argentina">Argentina</option> <option value="Armenia">Armenia</option> <option value="Aruba">Aruba</option> <option value="Australia">Australia</option> <option value="Azerbaijan">Azerbaijan</option> <option value="Bahamas">Bahamas</option> <option value="Bahrain">Bahrain</option> <option value="Bangladesh">Bangladesh</option> <option value="Barbados">Barbados</option> <option value="Belize">Belize</option> <option value="Benin">Benin</option> <option value="Bermuda">Bermuda</option> <option value="Bhutan">Bhutan</option> <option value="Bielorussia">Bielorussia</option> <option value="Bolivia">Bolivia</option> <option value="Bosnia Erzegovina">Bosnia Erzegovina</option> <option value="Botswana">Botswana</option> <option value="Brasile">Brasile</option> <option value="Brunei Darussalam">Brunei Darussalam</option> <option value="Burkina Faso">Burkina Faso</option> <option value="Burundi">Burundi</option> <option value="Cambogia">Cambogia</option> <option value="Camerun">Camerun</option> <option value="Canada">Canada</option> <option value="Capo Verde">Capo Verde</option> <option value="Ciad">Ciad</option> <option value="Cile">Cile</option> <option value="Cina">Cina</option>  <option value="Colombia">Colombia</option> <option value="Comore">Comore</option> <option value="Corea del Nord">Corea del Nord</option> <option value="Corea del Sud">Corea del Sud</option> <option value="Costa d'Avorio">Costa d'Avorio</option> <option value="Costa Rica">Costa Rica</option> <option value="Cuba">Cuba</option> <option value="Dominica">Dominica</option> <option value="Ecuador">Ecuador</option> <option value="Egitto">Egitto</option> <option value="El Salvador">El Salvador</option> <option value="Emirati Arabi Uniti">Emirati Arabi Uniti</option> <option value="Eritrea">Eritrea</option> <option value="Etiopia">Etiopia</option> <option value="Federazione Russa">Federazione Russa</option> <option value="Fiji">Fiji</option> <option value="Filippine">Filippine</option> <option value="Gabon">Gabon</option> <option value="Gambia">Gambia</option> <option value="Georgia">Georgia</option> <option value="Ghana">Ghana</option> <option value="Giamaica">Giamaica</option> <option value="Giappone">Giappone</option> <option value="Gibilterra">Gibilterra</option> <option value="Gibuti">Gibuti</option> <option value="Giordania">Giordania</option> <option value="Grenada">Grenada</option> <option value="Groenlandia">Groenlandia</option> <option value="Guadalupa">Guadalupa</option> <option value="Guam">Guam</option> <option value="Guatemala">Guatemala</option> <option value="Guinea Equatoriale">Guinea Equatoriale</option> <option value="Guinea">Guinea</option> <option value="Guinea-Bissau">Guinea-Bissau</option> <option value="Guyana Francese">Guyana Francese</option> <option value="Guyana">Guyana</option> <option value="Haiti">Haiti</option> <option value="Honduras">Honduras</option> <option value="Hong Kong">Hong Kong</option> <option value="India">India</option> <option value="Indonesia">Indonesia</option> <option value="Iran">Iran</option> <option value="Iraq">Iraq</option> <option value="Isola Bouvet">Isola Bouvet</option> <option value="Isola di Natale">Isola di Natale</option> <option value="Isola Heard e Isole McDonald">Isola Heard e Isole McDonald</option> <option value="Isola Norfolk">Isola Norfolk</option> <option value="Isole Cayman">Isole Cayman</option> <option value="Isole Cocos">Isole Cocos</option> <option value="Isole Cook">Isole Cook</option> <option value="Isole Falkland">Isole Falkland</option> <option value="Isole Faroe">Isole Faroe</option> <option value="Isole Marianne Settentrionali">Isole Marianne Settentrionali</option> <option value="Isole Marshall">Isole Marshall</option> <option value="Isole Minori degli Stati Uniti d'America">Isole Minori degli Stati Uniti d'America</option> <option value="Isole Solomon">Isole Solomon</option> <option value="Isole Turks e Caicos">Isole Turks e Caicos</option> <option value="Isole Vergini Americane">Isole Vergini Americane</option> <option value="Isole Vergini Britanniche">Isole Vergini Britanniche</option> <option value="Israele">Israele</option> <option value="Kazakhistan">Kazakhistan</option> <option value="Kenya">Kenya</option> <option value="Kirghizistan">Kirghizistan</option> <option value="Kiribati">Kiribati</option> <option value="Kosovo">Kosovo</option> <option value="Kuwait">Kuwait</option> <option value="Laos">Laos</option> <option value="Lesotho">Lesotho</option> <option value="Libano">Libano</option> <option value="Liberia">Liberia</option> <option value="Libia">Libia</option> <option value="Macao">Macao</option> <option value="Macedonia">Macedonia</option> <option value="Madagascar">Madagascar</option> <option value="Malawi">Malawi</option> <option value="Maldive">Maldive</option> <option value="Malesia">Malesia</option> <option value="Mali">Mali</option> <option value="Marocco">Marocco</option> <option value="Martinica">Martinica</option> <option value="Mauritania">Mauritania</option> <option value="Maurizius">Maurizius</option> <option value="Mayotte">Mayotte</option> <option value="Messico">Messico</option> <option value="Moldavia">Moldavia</option> <option value="Mongolia">Mongolia</option> <option value="Montenegro">Montenegro</option> <option value="Montserrat">Montserrat</option> <option value="Mozambico">Mozambico</option> <option value="Myanmar">Myanmar</option> <option value="Namibia">Namibia</option> <option value="Nauru">Nauru</option> <option value="Nepal">Nepal</option> <option value="Nicaragua">Nicaragua</option> <option value="Niger">Niger</option> <option value="Nigeria">Nigeria</option> <option value="Niue">Niue</option> <option value="Nuova Caledonia">Nuova Caledonia</option> <option value="Nuova Zelanda">Nuova Zelanda</option> <option value="Oman">Oman</option> <option value="Pakistan">Pakistan</option> <option value="Palau">Palau</option> <option value="Panamà¡">Panamà¡</option> <option value="Papua Nuova Guinea">Papua Nuova Guinea</option> <option value="Paraguay">Paraguay</option> <option value="Perù">Perù</option> <option value="Pitcairn">Pitcairn</option> <option value="Polinesia Francese">Polinesia Francese</option> <option value="Porto Rico">Porto Rico</option> <option value="Qatar">Qatar</option><option value="Regno Unito">Regno Unito</option> <option value="Repubblica Centroafricana">Repubblica Centroafricana</option> <option value="Repubblica del Congo">Repubblica del Congo</option> <option value="Repubblica Democratica del Congo">Repubblica Democratica del Congo</option> <option value="Repubblica Dominicana">Repubblica Dominicana</option> <option value="Reunion">Reunion</option> <option value="Ruanda">Ruanda</option> <option value="Sahara Occidentale">Sahara Occidentale</option> <option value="Saint Kitts e Nevis">Saint Kitts e Nevis</option> <option value="Saint Pierre e Miquelon">Saint Pierre e Miquelon</option> <option value="Saint Vincent e Grenadine">Saint Vincent e Grenadine</option> <option value="Samoa Americane">Samoa Americane</option> <option value="Samoa">Samoa</option> <option value="Santa Lucia">Santa Lucia</option> <option value="Sant'Elena">Sant'Elena</option> <option value="Sao Tome e Principe">Sao Tome e Principe</option> <option value="Senegal">Senegal</option> <option value="Serbia">Serbia</option> <option value="Seychelles">Seychelles</option> <option value="Sierra Leone">Sierra Leone</option> <option value="Singapore">Singapore</option> <option value="Siria">Siria</option> <option value="Somalia">Somalia</option> <option value="Sri Lanka">Sri Lanka</option> <option value="Stati Federati della Micronesia">Stati Federati della Micronesia</option> <option value="Stati Uniti d'America">Stati Uniti d'America</option> <option value="Sud Africa">Sud Africa</option> <option value="Sud Georgia e Isole Sandwich">Sud Georgia e Isole Sandwich</option> <option value="Sudan">Sudan</option> <option value="Suriname">Suriname</option> <option value="Svalbard e Jan Mayen">Svalbard e Jan Mayen</option> <option value="Swaziland">Swaziland</option> <option value="Tagikistan">Tagikistan</option> <option value="Tailandia">Tailandia</option> <option value="Taiwan">Taiwan</option> <option value="Tanzania">Tanzania</option> <option value="Territori Britannici dell'Oceano Indiano">Territori Britannici dell'Oceano Indiano</option> <option value="Territori Francesi del Sud">Territori Francesi del Sud</option> <option value="Territori Palestinesi Occupati">Territori Palestinesi Occupati</option> <option value="Timor Est">Timor Est</option> <option value="Togo">Togo</option> <option value="Tokelau">Tokelau</option> <option value="Tonga">Tonga</option> <option value="Trinidad e Tobago">Trinidad e Tobago</option> <option value="Tunisia">Tunisia</option> <option value="Turchia">Turchia</option> <option value="Turkmenistan">Turkmenistan</option> <option value="Tuvalu">Tuvalu</option> <option value="Ucraina">Ucraina</option> <option value="Uganda">Uganda</option> <option value="Uruguay">Uruguay</option> <option value="Uzbekistan">Uzbekistan</option> <option value="Vanuatu">Vanuatu</option> <option value="Venezuela">Venezuela</option> <option value="Vietnam">Vietnam</option> <option value="Wallis e Futuna">Wallis e Futuna</option> <option value="Yemen">Yemen</option> <option value="Zambia">Zambia</option> <option value="Zimbabwe">Zimbabwe</option> <option value="Apolide">Apolide</option> 
        </optgroup>
      </select>
    </div>
  </div>
</div>

<div class="container">
  <div class="title-3"> CHIEDE </div>
  l'aggiornamento del permesso di soggiorno relativo al richiedente
  <br />
  <div class="title-3"> CHIEDE INOLTRE </div>
</div>



<div class="container border bg-light">
  <div class="form-check indent-1 border-bottom pb-2" >
    <input class="form-check-input" id="ParentiMinorenniAlSeguito" name="ParentiMinorenniAlSeguito" type="checkbox" value="SI" />
    <label class="form-check-label" for="ParentiMinorenniAlSeguito"> di aggiornare il permesso di soggiorno dei familiari MINORENNI di seguito indicati </label>
    <select class="form-control custom-select"  style="width: 10%;" id="Parametri_NumeroComponentiMinorenni" name="Parametri_NumeroComponentiMinorenni" label="Numero componenti" mandatory_enabled="#ParentiMinorenniAlSeguito.checked()">
      <option value="0">-</option>
      <option value="1">1</option>
      <option value="2">2</option>
      <option value="3">3</option>
      <option value="4">4</option>
      <option value="5">5</option>
    </select>
  </div>
  
  <!-- CICLO PER GENERARE I PARENTI MASSIMO 5 In questo modulo -->
{% set pars = [ "", "Madre/Padre", "Figlia/Figlio", "Marito/Moglie", "Nonna/Nonno", "Genero/Nuora",  "Fratello/Sorella","Bisnonna/Bisnonno", "Cugina/Cugino","Suocera/Suocero","Cognato/Cognata","Zio/Zia (Affine)","Nipote (Affine)","Nipote (discendente)","Pronipote (discendente)","Nipote (collaterale)","Zio / Zia (Collaterale)","Convivente" ] %}
{% set stats = [ "", "celibe/nubile", "coniugato/a", "vedovo", "già coniugato/a", "divorziato/a", "unito/a civilmente","già in unione civile per scioglimento", "già in unione civile per decesso" ,"stato civile ignoto"] %}
{% for i in range(1, 6) %}
<div class="form-check indent-2">
  <input class="form-check-input" id="AventeTitolo{{i}}_DatiPersonaObbligatori" name="AventeTitolo{{i}}_DatiPersonaObbligatori" type="checkbox" value="SI" onchange="mostraCampi(this,'parenteminorenne{{i}}')" mandatory_enabled="#Parametri_NumeroComponentiMinorenni.value()>={{i}}"/> 
  <label class="form-check-label title" for="AventeTitolo{{i}}_DatiPersonaObbligatori">FAMILIARE MINORENNE {{i}}</label>
  
</div>
<div class="ElementToHide parenteminorenne{{i}}">
  <input type="hidden" value="checkbox&AventeTitolo{{i}}_DatiPersonaObbligatori" name="buffer_ElementoMinorenne{{i}}" id="buffer_ElementoMinorenne{{i}}" />
            <div class="form-row indent-2" mandatory_enabled="#AventeTitolo{{i}}_DatiPersonaObbligatori.checked()" >  
              <div class="form-group col-lg-12">
                <label for="AventeTitolo{{i}}_RapportoParentela"> Rapporto di parentela : </label>
                <select class="form-control custom-select" id="AventeTitolo{{i}}_RapportoParentela" name="AventeTitolo{{i}}_RapportoParentela" label="Grado di parentela del avente titolo numero {{i}}"  mandatory_enabled="#AventeTitolo{{i}}_DatiPersonaObbligatori.checked()">
                  {% for par in pars %}
                    <option value="{{par}}"> {{par}} </option>
                  {% endfor %}
                </select>
              </div>
            </div>
            <div class="form-row indent-2 " mandatory_enabled="#AventeTitolo{{i}}_DatiPersonaObbligatori.checked()" >
              <div class="form-group col-lg-4">
                <label for="AventeTitolo{{i}}_Cognome"> Cognome </label>
                <input class="form-control" type="text" id="AventeTitolo{{i}}_Cognome" name="AventeTitolo{{i}}_Cognome" label="Cognome familiare {{i}}"> 
              </div>
              <div class="form-group col-lg-4">
                <label for="AventeTitolo{{i}}_Nome"> Nome </label>
                <input class="form-control" type="text" id="AventeTitolo{{i}}_Nome" name="AventeTitolo{{i}}_Nome"  label="Nome familiare {{i}}">
              </div>
              <div class="form-group col-lg-4">
                <label for="AventeTitolo{{i}}_CodiceFiscale"> Codice Fiscale </label>
                <input class="form-control" type="text" id="AventeTitolo{{i}}_CodiceFiscale" name="AventeTitolo{{i}}_CodiceFiscale" onkeyup="this.value = this.value.toUpperCase();" format="cf" label="Codice Fiscale familiare {{i}}">
              </div>
            </div>
            <div class="form-row indent-2 " mandatory_enabled="#AventeTitolo{{i}}_DatiPersonaObbligatori.checked()" >
              <div class="form-group col-lg-2">
                <label for="AventeTitolo{{i}}_DataNascita"> Data di nascita </label>
                <input class="form-control" type="text" id="AventeTitolo{{i}}_DataNascita" name="AventeTitolo{{i}}_DataNascita" format="date" label="Data di nascita familiare {{i}}"> 
                <input type="hidden" id="AventeTitolo{{i}}_MaggioreEta" name="AventeTitolo{{i}}_MaggioreEta"  mandatory="true" dynamic_value="(dateDifference(#AventeTitolo{{i}}_DataNascita.value(),'today','y')>=18) ? '' : 'Si'" label="Data di nascita cittadino minorenne {{i}} errata">
                <!--<input type="hidden" id="AventeTitolo{{i}}_MaggioreEta" name="AventeTitolo{{i}}_MaggioreEta" dynamic_value="(dateDifference(#AventeTitolo{{i}}_DataNascita.value(),'today','y')>=18) ? 'Si' : 'No'" />-->
              </div>
              <div class="form-group col-lg-2">
                <label for="AventeTitolo{{i}}_LuogoNascita"> Luogo di Nascita </label>
                <input class="form-control" type="text" id="AventeTitolo{{i}}_LuogoNascita" name="AventeTitolo{{i}}_LuogoNascita"  label="Luogo di nascita familiare {{i}}">
              </div>
              <div class="form-group col-lg-2" mandatory_enabled="#AventeTitolo{{i}}_DataNascita.value() != ''">
                <label for="AventeTitolo{{i}}_From"> Cittadinanza </label>
                <select class="form-control custom-select" id="AventeTitolo{{i}}_From" name="AventeTitolo{{i}}_From">
                    <option value=""> - </option>
                    <option value="NON Unione Europea">NON Unione Europea</option>
                </select>
              </div>
              <div class="form-group col-lg-3">
                <label for="AventeTitolo{{i}}_CittadinanzaNoFill"> - </label>
                <select  class="form-control custom-select" id="AventeTitolo{{i}}_CittadinanzaNoFill" name="AventeTitolo{{i}}_CittadinanzaNoFill" label="Cittadinanza familiare {{I}}" mandatory_enabled="#AventeTitolo{{i}}_From.value() != ''"  > 
                  <option value=""></option> 
                  <optgroup label="NON Unione Europea">
                    <option value="Afghanistan">Afghanistan</option> <option value="Albania">Albania</option> <option value="Algeria">Algeria</option>  <option value="Angola">Angola</option> <option value="Anguilla">Anguilla</option> <option value="Antartide">Antartide</option> <option value="Antigua e Barbuda">Antigua e Barbuda</option> <option value="Antille Olandesi">Antille Olandesi</option> <option value="Arabia Saudita">Arabia Saudita</option> <option value="Argentina">Argentina</option> <option value="Armenia">Armenia</option> <option value="Aruba">Aruba</option> <option value="Australia">Australia</option> <option value="Azerbaijan">Azerbaijan</option> <option value="Bahamas">Bahamas</option> <option value="Bahrain">Bahrain</option> <option value="Bangladesh">Bangladesh</option> <option value="Barbados">Barbados</option> <option value="Belize">Belize</option> <option value="Benin">Benin</option> <option value="Bermuda">Bermuda</option> <option value="Bhutan">Bhutan</option> <option value="Bielorussia">Bielorussia</option> <option value="Bolivia">Bolivia</option> <option value="Bosnia Erzegovina">Bosnia Erzegovina</option> <option value="Botswana">Botswana</option> <option value="Brasile">Brasile</option> <option value="Brunei Darussalam">Brunei Darussalam</option> <option value="Burkina Faso">Burkina Faso</option> <option value="Burundi">Burundi</option> <option value="Cambogia">Cambogia</option> <option value="Camerun">Camerun</option> <option value="Canada">Canada</option> <option value="Capo Verde">Capo Verde</option> <option value="Ciad">Ciad</option> <option value="Cile">Cile</option> <option value="Cina">Cina</option>  <option value="Colombia">Colombia</option> <option value="Comore">Comore</option> <option value="Corea del Nord">Corea del Nord</option> <option value="Corea del Sud">Corea del Sud</option> <option value="Costa d'Avorio">Costa d'Avorio</option> <option value="Costa Rica">Costa Rica</option> <option value="Croazia">Croazia</option> <option value="Cuba">Cuba</option> <option value="Dominica">Dominica</option> <option value="Ecuador">Ecuador</option> <option value="Egitto">Egitto</option> <option value="El Salvador">El Salvador</option> <option value="Emirati Arabi Uniti">Emirati Arabi Uniti</option> <option value="Eritrea">Eritrea</option> <option value="Etiopia">Etiopia</option> <option value="Federazione Russa">Federazione Russa</option> <option value="Fiji">Fiji</option> <option value="Filippine">Filippine</option> <option value="Gabon">Gabon</option> <option value="Gambia">Gambia</option> <option value="Georgia">Georgia</option> <option value="Ghana">Ghana</option> <option value="Giamaica">Giamaica</option> <option value="Giappone">Giappone</option> <option value="Gibilterra">Gibilterra</option> <option value="Gibuti">Gibuti</option> <option value="Giordania">Giordania</option> <option value="Grenada">Grenada</option> <option value="Groenlandia">Groenlandia</option> <option value="Guadalupa">Guadalupa</option> <option value="Guam">Guam</option> <option value="Guatemala">Guatemala</option> <option value="Guinea Equatoriale">Guinea Equatoriale</option> <option value="Guinea">Guinea</option> <option value="Guinea-Bissau">Guinea-Bissau</option> <option value="Guyana Francese">Guyana Francese</option> <option value="Guyana">Guyana</option> <option value="Haiti">Haiti</option> <option value="Honduras">Honduras</option> <option value="Hong Kong">Hong Kong</option> <option value="India">India</option> <option value="Indonesia">Indonesia</option> <option value="Iran">Iran</option> <option value="Iraq">Iraq</option> <option value="Isola Bouvet">Isola Bouvet</option> <option value="Isola di Natale">Isola di Natale</option> <option value="Isola Heard e Isole McDonald">Isola Heard e Isole McDonald</option> <option value="Isola Norfolk">Isola Norfolk</option> <option value="Isole Cayman">Isole Cayman</option> <option value="Isole Cocos">Isole Cocos</option> <option value="Isole Cook">Isole Cook</option> <option value="Isole Falkland">Isole Falkland</option> <option value="Isole Faroe">Isole Faroe</option> <option value="Isole Marianne Settentrionali">Isole Marianne Settentrionali</option> <option value="Isole Marshall">Isole Marshall</option> <option value="Isole Minori degli Stati Uniti d'America">Isole Minori degli Stati Uniti d'America</option> <option value="Isole Solomon">Isole Solomon</option> <option value="Isole Turks e Caicos">Isole Turks e Caicos</option> <option value="Isole Vergini Americane">Isole Vergini Americane</option> <option value="Isole Vergini Britanniche">Isole Vergini Britanniche</option> <option value="Israele">Israele</option> <option value="Kazakhistan">Kazakhistan</option> <option value="Kenya">Kenya</option> <option value="Kirghizistan">Kirghizistan</option> <option value="Kiribati">Kiribati</option> <option value="Kosovo">Kosovo</option> <option value="Kuwait">Kuwait</option> <option value="Laos">Laos</option> <option value="Lesotho">Lesotho</option> <option value="Libano">Libano</option> <option value="Liberia">Liberia</option> <option value="Libia">Libia</option> <option value="Macao">Macao</option> <option value="Macedonia">Macedonia</option> <option value="Madagascar">Madagascar</option> <option value="Malawi">Malawi</option> <option value="Maldive">Maldive</option> <option value="Malesia">Malesia</option> <option value="Mali">Mali</option> <option value="Marocco">Marocco</option> <option value="Martinica">Martinica</option> <option value="Mauritania">Mauritania</option> <option value="Maurizius">Maurizius</option> <option value="Mayotte">Mayotte</option> <option value="Messico">Messico</option> <option value="Moldavia">Moldavia</option> <option value="Mongolia">Mongolia</option> <option value="Montenegro">Montenegro</option> <option value="Montserrat">Montserrat</option> <option value="Mozambico">Mozambico</option> <option value="Myanmar">Myanmar</option> <option value="Namibia">Namibia</option> <option value="Nauru">Nauru</option> <option value="Nepal">Nepal</option> <option value="Nicaragua">Nicaragua</option> <option value="Niger">Niger</option> <option value="Nigeria">Nigeria</option> <option value="Niue">Niue</option> <option value="Nuova Caledonia">Nuova Caledonia</option> <option value="Nuova Zelanda">Nuova Zelanda</option> <option value="Oman">Oman</option> <option value="Pakistan">Pakistan</option> <option value="Palau">Palau</option> <option value="Panamà¡">Panamà¡</option> <option value="Papua Nuova Guinea">Papua Nuova Guinea</option> <option value="Paraguay">Paraguay</option> <option value="Perù">Perù</option> <option value="Pitcairn">Pitcairn</option> <option value="Polinesia Francese">Polinesia Francese</option> <option value="Porto Rico">Porto Rico</option> <option value="Qatar">Qatar</option> <option value="Regno Unito">Regno Unito</option> <option value="Repubblica Centroafricana">Repubblica Centroafricana</option> <option value="Repubblica del Congo">Repubblica del Congo</option> <option value="Repubblica Democratica del Congo">Repubblica Democratica del Congo</option> <option value="Repubblica Dominicana">Repubblica Dominicana</option> <option value="Reunion">Reunion</option> <option value="Ruanda">Ruanda</option> <option value="Sahara Occidentale">Sahara Occidentale</option> <option value="Saint Kitts e Nevis">Saint Kitts e Nevis</option> <option value="Saint Pierre e Miquelon">Saint Pierre e Miquelon</option> <option value="Saint Vincent e Grenadine">Saint Vincent e Grenadine</option> <option value="Samoa Americane">Samoa Americane</option> <option value="Samoa">Samoa</option> <option value="Santa Lucia">Santa Lucia</option> <option value="Sant'Elena">Sant'Elena</option> <option value="Sao Tome e Principe">Sao Tome e Principe</option> <option value="Senegal">Senegal</option> <option value="Serbia">Serbia</option> <option value="Seychelles">Seychelles</option> <option value="Sierra Leone">Sierra Leone</option> <option value="Singapore">Singapore</option> <option value="Siria">Siria</option> <option value="Somalia">Somalia</option> <option value="Sri Lanka">Sri Lanka</option> <option value="Stati Federati della Micronesia">Stati Federati della Micronesia</option> <option value="Stati Uniti d'America">Stati Uniti d'America</option> <option value="Sud Africa">Sud Africa</option> <option value="Sud Georgia e Isole Sandwich">Sud Georgia e Isole Sandwich</option> <option value="Sudan">Sudan</option> <option value="Suriname">Suriname</option> <option value="Svalbard e Jan Mayen">Svalbard e Jan Mayen</option> <option value="Swaziland">Swaziland</option> <option value="Tagikistan">Tagikistan</option> <option value="Tailandia">Tailandia</option> <option value="Taiwan">Taiwan</option> <option value="Tanzania">Tanzania</option> <option value="Territori Britannici dell'Oceano Indiano">Territori Britannici dell'Oceano Indiano</option> <option value="Territori Francesi del Sud">Territori Francesi del Sud</option> <option value="Territori Palestinesi Occupati">Territori Palestinesi Occupati</option> <option value="Timor Est">Timor Est</option> <option value="Togo">Togo</option> <option value="Tokelau">Tokelau</option> <option value="Tonga">Tonga</option> <option value="Trinidad e Tobago">Trinidad e Tobago</option> <option value="Tunisia">Tunisia</option> <option value="Turchia">Turchia</option> <option value="Turkmenistan">Turkmenistan</option> <option value="Tuvalu">Tuvalu</option> <option value="Ucraina">Ucraina</option> <option value="Uganda">Uganda</option> <option value="Uruguay">Uruguay</option> <option value="Uzbekistan">Uzbekistan</option> <option value="Vanuatu">Vanuatu</option> <option value="Venezuela">Venezuela</option> <option value="Vietnam">Vietnam</option> <option value="Wallis e Futuna">Wallis e Futuna</option> <option value="Yemen">Yemen</option> <option value="Zambia">Zambia</option> <option value="Zimbabwe">Zimbabwe</option> <option value="Apolide">Apolide</option> 
                  </optgroup>
                </select>
              </div>
              <div class="form-group col-lg-1">
                <label for="AventeTitolo{{i}}_Sesso"> Sesso </label>
                <input class="form-control" type="text" id="AventeTitolo{{i}}_Sesso" name="AventeTitolo{{i}}_Sesso" label="Sesso familiare {{i}}">
              </div>
              <div class="form-group col-lg-2">
                <label for="AventeTitolo{{i}}_StatoCivile"> Stato Civile </label>
                
                <select class="form-control custom-select" id="AventeTitolo{{i}}_StatoCivile" name="AventeTitolo{{i}}_StatoCivile">
                  {% for stat in stats %}
                    <option value="{{stat}}"> {{stat}} </option>
                  {% endfor %}
                </select>
              </div>
            </div>
                       

</div>  
{% endfor %}
</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row border-bottom mb-3">
    <div class="col-lg-12">
      <div style="font-weight: bold;">
        Eventuali annotazioni<br>
        <span class="infoes">(Massimo 2500 caratteri)</span>
      </div>
    </div>
  </div>
  <div class="form-row">
    <div class="col-lg-12">
      <textarea class="form-control" id="Parametri_Note" name="Parametri_Note"  onkeyup="ContaCaratteri('Parametri_Note')"></textarea>
    </div>  
  </div>
  <div class="form-row">
    <div class="col-lg-10">
    </div>
    <div class="col-lg-2">
      <span class="infoes">Caratteri rimanenti</span> <span style="font-weight: bold;" id="Parametri_Note_contaCaratteri" >2500</span>
    </div> 
  </div>
</div>

<div class="container border bg-light">
  <!-- titoletto -->
  <div class="form-row border-bottom mb-3">
    <div class="col-lg-12 text-center">
      <div class="text-center pb-2" style="font-weight: bold;">
        A tal fine allega: <br>
      </div>
    </div>
  </div>

  <div class="title-2"> DOCUMENTI DI IDENTITA' </div>

   <div class="form-check indent-1">
    <label class="form-check-label" for="COP_PAS"> N° <input class="form-control" style="width:3em; display: inline-block;" id="Tot_COP_PAS" name="Tot_COP_PAS" value="0" readonly> copia del passaporto o documento equipollente in corso di validità e aggiornato </label>
  </div>

  <div class="form-check indent-1"> 
    <label class="form-check-label" for="PER_SOG">N° <input class="form-control" style="width:3em; display: inline-block;" id="Tot_PER_SOG" name="Tot_PER_SOG" value="0" readonly> copia del titolo di soggiorno in corso di validità/scaduto </label>
  </div> 

  <div class="form-check indent-1">
    <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
    <label class="form-check-label" for="ALTRI-ALLEGATI"> Altri allegati </label>
    <input class="form-control" style="width: 75%; display: inline-block;" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" label="Altri allegati">
  </div>
</div>

<div class="space-1"></div>

<globo_fondo_pagina areaheight="150">
  <div type="firma">
    <div class="container border bg-light" name="Firme">
      <div class="form-row">
        <div class="form-group col-lg-4 firma-custom">
          <input class="form-control" style="text-align: center;" id="Luogo_PDF" name="Luogo_PDF"/>
          <label for="Luogo_PDF"> Luogo </label>
        </div>
        <div class="form-group col-lg-4 firma-custom">
          <input class="form-control" style="text-align: center;" id="Data_PDF" name="Data_PDF"/>
          <label for="Data_PDF"> Data </label>
        </div>
        <div class="form-group col-lg-4 firma-custom">
          <input class="form-control" style="text-align: center;" id="FirmaFake_PDF" name="FirmaFake_PDF"/>
          <label for="FirmaFake_PDF"> Il dichiarante </label>
        </div>
      </div>
    </div>
    <div name="oldFirme" style="display: none;pd4ml-display: none;">
      <input id="Luogo" name="Luogo"/> <input id="Data" name="Data"/><input id="FirmaFake" name="FirmaFake"/>
    </div>
  </div>
</globo_fondo_pagina>

<div class="space-1"></div>

<div class="container">
  <button type="submit" class="btn btn-success btn-lg btn-block" id="SalvaModulo" name="SalvaModulo" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza."> Salva modulo </button>
</div>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cCOP_PAS" name="GLOBO_allegato_cCOP_PAS" obbligatorio="#Tot_COP_PAS.value()>0 ? 'OBBLIGATORIO' : ''" type="hidden" numero="#Tot_COP_PAS.value()" value=""/>
<input id="GLOBO_allegato_cPER_SOG" name="GLOBO_allegato_cPER_SOG" obbligatorio="#Tot_PER_SOG.value()>0 ? 'OBBLIGATORIO' : ''" type="hidden" numero="#Tot_PER_SOG.value()" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>


<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
